'Updating plugins' dialogue appears on every startup

Bug #909195 reported by Pavlo Verba
84
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Shutter
Incomplete
Low
Mario Kemper (Romario)

Bug Description

Despite flag '--min_at_startup' being used I see 'Updating plugins' dialogue every time I login, which is slightly annoying.

I am using Ubuntu 11.10 and a Shutter 0.88.1.

Is this just me, or it is a bug indeed?

Revision history for this message
Mario Kemper (Romario) (mario-kemper) wrote : Re: [Bug 909195] [NEW] 'Updating plugins' dialogue does not respect '--min_at_startup' flag

Looks like a bug. Could you please check the following steps?

1) Start Shutter (the main window should be visible and active)
2) Quit Shutter via Ctrl+Q
3) Start Shutter again

Does Shutter query the plugins again?

Revision history for this message
Pavlo Verba (pavlo.s.verba) wrote : Re: 'Updating plugins' dialogue does not respect '--min_at_startup' flag

I have tested it, and quite regrettably, it does not happen.

Shutter must have been updated from PPA several times in a row before I filed this bug.

Revision history for this message
Mario Kemper (Romario) (mario-kemper) wrote :

There are several similar reports (blog, mail). I'll prepare a fix.

summary: - 'Updating plugins' dialogue does not respect '--min_at_startup' flag
+ 'Updating plugins' dialogue appears on every startup
Changed in shutter:
assignee: nobody → Mario Kemper (Romario) (mario-kemper)
importance: Undecided → Low
milestone: none → 0.88.2
status: New → In Progress
status: In Progress → Fix Committed
Changed in shutter:
status: Fix Committed → Fix Released
Revision history for this message
Antu (antu456) wrote :

I am using version 0.88.2 (Gentoo, KDE 4.8.2, Linux 3.2.12), and I still have this problem.

$ shutter -v
WARNING: Net::DBus::GLib is missing --> Ubuntu One support will be disabled!

WARNING: Image::ExifTool is missing --> Writing Exif information will be disabled!

0.88.2 Rev.1195

When I run "shutter --min_at_startup" I always get the "Updating plugin information" window. I also tried starting it, quitting it via Ctrl+Q and starting it again, both times I got the plugin update window. When I start shutter in a terminal, I get many messages starting with INFO/ERROR. Maybe they have something to do with this bug?

Do you need more information?

I've attached the error messages.

Revision history for this message
Doug Morse (dm-dougmorse) wrote :

I am experiencing this annoyance after upgrading from Oneric (11.10) to Precise (12.04). The annoyance was not present in 11.10, at least for me.

Revision history for this message
Mario Kemper (Romario) (mario-kemper) wrote :

@Antu: The error messages seem to be the reason for this behaviour. Please try the following steps

1) Install the package 'perl-PerlMagick ' (don't know if this is the correct package name)
2) Change all files in /usr/share/shutter/resources/system/upload_plugins/upload/ to be executable, e.g.

chmod +x /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm

3) If this fixes your problem then please report the issues to Gentoo's bug tracker in order to get those bugs fixed.

@Doug Morse: Could you please launch Shutter via terminal, close it via Ctrl+Q and paste the complete output here?

Revision history for this message
Doug Morse (dm-dougmorse) wrote :

@Mario: Certainly re: request to post output from terminal (see below). It looks like I need to run 'sudo apt-get install libnet-dropbox-api-perl', which I will do now and report back in a few moments.

----- BEGIN TERMINAL OUTPUT -----

WARNING: Net::DBus::GLib is missing --> Ubuntu One support will be disabled!

WARNING: Image::ExifTool is missing --> Writing Exif information will be disabled!

INFO: new upload-plugin information detected - /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox
Can't locate Net/Dropbox/API.pm in @INC (@INC contains: /usr/share/shutter/resources/modules /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm line 73.
BEGIN failed--compilation aborted at /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm line 73.

ERROR: upload-plugin exists but does not work properly - /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox
Use of uninitialized value in numeric le (<=) at /usr/bin/shutter line 9020.
WARNING: DBus connection to org.freedesktop.compiz failed --> setting keyboard shortcuts may not work when using compiz

org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.compiz was not provided by any .service files

----- END TERMINAL OUTPUT -----

Revision history for this message
Doug Morse (dm-dougmorse) wrote :

@Mario: OK, I ran 'sudo apt-get install libnet-dbus-glib-perl libimage-exiftool-perl libimage-info-perl' in addition to 'sudo apt-get install libnet-dropbox-api-perl', which appears to have fixed the problem (i.e., Shutter autostarts fine at login, and I no longer see a dialog screen informing me of plugin updates). For completeness, I quit shutter and again ran it from the terminal, which yielded the output below. Unfortunately, it's less clear to me how to fix the 'org.freedesktop.DBus.Error.ServiceUnknown' problem. I don't often use the shortcut keys with Shutter, but it would be nice to fix this final issue, if anyone can point me in the right direction re: how to do so. Thanks!

----- BEGIN TERMINAL OUTPUT -----

WARNING: DBus connection to org.freedesktop.compiz failed --> setting keyboard shortcuts may not work when using compiz

org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.compiz was not provided by any .service files

----- END TERMINAL OUTPUT -----

Revision history for this message
Antu (antu456) wrote :

Changing permissions and installing imagemagick with +perl and dev-perl/JSON made the error messages go away and fixed the problem for me. I've reported this to the Gentoo Bugtracker (https://bugs.gentoo.org/show_bug.cgi?id=414889). Thanks. :-)

Revision history for this message
Andre (ajx) wrote :

On Ubuntu Precise with all updates installed I had the same problem. However, I found a solution by following comment #8.

I installed the following packages:

* libimage-base-bundle-perl
* libimage-exiftool-perl
* libimage-info-perl
* libio-string-perl
* libnet-dbus-glib-perl

For those who want to do it in one go via apt-get:

sudo apt-get install libimage-base-bundle-perl libimage-exiftool-perl libimage-info-perl libio-string-perl libnet-dbus-glib-perl

These packages should be a dependency of Shutter. This Bug is not fixed.

Revision history for this message
Vadim Peretokin (vperetokin) wrote : Re: [Bug 909195] Re: 'Updating plugins' dialogue appears on every startup

Those packages were indeed missing on my system as well.

Revision history for this message
Sorbing (svbutsenko) wrote :

Shutter create a screenshot image, but after this shutter freezes.
I use command:
~~~
shutter -s -o ~/test.png
~~~
If exec `Ctrl+C` - I get errors:

WARNING: DBus connection to org.freedesktop.compiz failed --> setting keyboard shortcuts may not work when using compiz
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.compiz was not provided by any .service files

Revision history for this message
Sorbing (svbutsenko) wrote :

Forgot , sorry:
Linux e5530 3.5.0-19-generic #30-Ubuntu SMP Tue Nov 13 17:48:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Mario Kemper (Romario) (mario-kemper) wrote :

@Sorbing: I don't know why your are posting to this bug. Please create a new one because it is a completely different issue. The errors are just warnings. You can ignore them. Is there anything else printed to the terminal that might be relevant?

Revision history for this message
Sorbing (svbutsenko) wrote :

No, nothing more. I created new issue - https://bugs.launchpad.net/shutter/+bug/1086376

Revision history for this message
WoodyEckelzone (bcr497) wrote :

Still had this problem in 13.04 fresh install

Installing packages from #10 fixed the problem

Revision history for this message
Rahul Yadav (ydv-rahul09) wrote :

Installed the version coming up in Ubuntu Software Center and experienced this same issue. Applying updates as mentioned by #10 solves the issue.

Revision history for this message
Julian Lam (julian-lam) wrote :

Experiencing this on 16.04.3, shutter installed via apt.

Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

# apt-cache policy shutter
shutter:
  Installed: 0.93.1-1ubuntu1
  Candidate: 0.93.1-1ubuntu1
  Version table:
 *** 0.93.1-1ubuntu1 500
        500 http://ca.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://ca.archive.ubuntu.com/ubuntu xenial/universe i386 Packages
        100 /var/lib/dpkg/status

Applied steps as per #10. If no further reply from me, likely the steps worked.

Revision history for this message
Christian Toffolo (ianxxx) wrote :

Same problem on Ubuntu 18.04

# apt-cache policy shutter
shutter:
  Installed: 0.94-1
  Candidate: 0.94-1
  Version table:
 *** 0.94-1 500
        500 http://it.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        500 http://it.archive.ubuntu.com/ubuntu bionic/universe i386 Packages
        100 /var/lib/dpkg/status

Applied steps as per #10 but didn't worked for me.

When I run Shutter from command line the popup "Update uploading plugin information" appears just after I see this error in the console:
ERROR: upload-plugin exists but does not work properly - /usr/share/shutter/resources/system/upload_plugins/upload/Imgur

Revision history for this message
Michael Kogan (michael-kogan) wrote :

Could you please try latest bzr revision? I think, it should be fixed in rev. 1294.

Changed in shutter:
status: Fix Released → Confirmed
Changed in shutter:
status: Confirmed → Incomplete
Revision history for this message
Enrico L (elamperti) wrote :

I've still have this issue in 0.94.3 on Manjaro (and also before on Ubuntu). Running shutter from cli throws some light into the issue:

```
INFO: new upload-plugin information detected - /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox
Can't locate Net/OAuth.pm in @INC (you may need to install the Net::OAuth module) (@INC contains: /usr/share/shutter/resources/modules /usr/lib/perl5/5.32/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.32/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.32/core_perl /usr/share/perl5/core_perl) at /usr/share/shutter/resources/modules/WebService/Dropbox.pm line 7.
BEGIN failed--compilation aborted at /usr/share/shutter/resources/modules/WebService/Dropbox.pm line 7.
Compilation failed in require at /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm line 73.
BEGIN failed--compilation aborted at /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox.pm line 73.

ERROR: upload-plugin exists but does not work properly - /usr/share/shutter/resources/system/upload_plugins/upload/Dropbox

INFO: new upload-plugin information detected - /usr/share/shutter/resources/system/upload_plugins/upload/Imgur
Can't locate Path/Class.pm in @INC (you may need to install the Path::Class module) (@INC contains: /usr/share/shutter/resources/modules /usr/lib/perl5/5.32/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.32/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.32/core_perl /usr/share/perl5/core_perl) at /usr/share/shutter/resources/system/upload_plugins/upload/Imgur.pm line 77.
BEGIN failed--compilation aborted at /usr/share/shutter/resources/system/upload_plugins/upload/Imgur.pm line 77.

ERROR: upload-plugin exists but does not work properly - /usr/share/shutter/resources/system/upload_plugins/upload/Imgur
```

The problem with this is that even if I could find and install the missing packages to make these plugins work, there's no user-friendly way to tell that something is failing (besides the "updating plugins" message, that looks more like a bug than a local error). I don't even use the upload feature, so removing `/usr/share/shutter/resources/system/upload_plugins/upload/*.pm` fixes the issue for me.

In any case, I'd expect `--min_at_startup` to skip showing the "updating plugins" message, so that's still a bug.

Revision history for this message
Roibin O'Toole (roibin) wrote :

Hi! I am having this issue as well on multiple laptops running:

   "Ubuntu 20.04.1 LTS".

So it can't really be a personal configuration issue.

Every time Shutter starts up it says it's updating the plugins. It makes me not want to use the software, usually if I want to take a screenshot I want to do it quickly and not wait for a program to load up every time. Shame this is a great app. I am no Linux wizard (yet), made the switch from Windows recently, so it's hard to find a solution myself. Any advice on how to solve this issue?

Revision history for this message
Roibin O'Toole (roibin) wrote :
Download full text (5.5 KiB)

Sorry I forgot to add the terminal message that I get when I launch shutter from the CLI.

```

INFO: gathering system information...

Linux roibin-G501JW 5.4.0-47-generic #51-Ubuntu SMP Fri Sep 4 19:50:52 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

cat: /etc/issue: Permission denied

Glib 1.320
Gtk2 1.2498

Glib built for 2.47.3, running with 2.48.2
Gtk2 built for 2.24.29, running with 2.24.30

ERROR: settingsfile /home/roibin/snap/shutter/27/.shutter/settings.xml does not exist

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spbardistortion/spbardistortion
Barrel Distortion - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spbardistortion/spbardistortion

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spnegate/spnegate
Negate - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spnegate/spnegate

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/sppolaroid/sppolaroid
Polaroid - /snap/shutter/27/share/shutter/resources/system/plugins/perl/sppolaroid/sppolaroid

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spresize/spresize
Resize - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spresize/spresize

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spsepia/spsepia
Sepia - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spsepia/spsepia

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spshadow/spshadow
Hard Shadow - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spshadow/spshadow

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spwatermark/spwatermark
Watermark - /snap/shutter/27/share/shutter/resources/system/plugins/perl/spwatermark/spwatermark

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spgrayscale/spgrayscale
Grayscale - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spgrayscale/spgrayscale

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spoffset/spoffset
Offset - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spoffset/spoffset

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spraise/spraise
Raise Border - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spraise/spraise

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spsoftedges/spsoftedges
Soft Edges - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spsoftedges/spsoftedges

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spsunk/spsunk
Sunk Border - /snap/shutter/27/share/shutter/resources/system/plugins/shell/spsunk/spsunk

INFO: new plugin information detected - /snap/shutter/27/share/shutter/resources/system/plugins/shell/sptornedpape...

Read more...

Revision history for this message
Michael Kogan (michael-kogan) wrote :

Roibin, it might be a Snap related issue, did you try install Shutter using the PPA: https://www.linuxuprising.com/2018/10/shutter-removed-from-ubuntu-1810-and.html ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.